curl
curl -X GET "https://api.services.payward.com/v1/reports/settlement/00000000-0000-0000-0000-000000000001" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Timestamp: $PWS_API_TIMESTAMP" \
-H "API-Sign: $PWS_API_SIGN"import requests
url = "https://api.services.payward.com/v1/reports/settlement/{id}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Timestamp': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/reports/settlement/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/reports/settlement/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Sign: <api-key>",
"API-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/reports/settlement/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Timestamp", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.services.payward.com/v1/reports/settlement/{id}")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Timestamp", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/reports/settlement/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Timestamp"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "00000000-0000-0000-0000-000000000001",
"date": "2026-04-25",
"type": "swaps",
"size": "18342",
"name": "settlement-2026-04-25.csv",
"download_url": "https://reports.payward.com/dl/settlement-2026-04-25.csv",
"expires_at": "2026-04-26T18:24:11Z"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 400,
"code": "bad_request",
"causes": [
{
"field": "page_size",
"message": "must be between 1 and 25"
}
]
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 401,
"code": "unauthenticated"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 403,
"code": "forbidden"
}
}{
"error": {
"type": "reports_error",
"status": 404,
"instance": "req_01H00000000000000000000000",
"code": "settlement_report_not_found"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 429,
"code": "resource_exhausted"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 500,
"code": "internal"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 501,
"code": "unimplemented"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 503,
"code": "unavailable"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 504,
"code": "deadline_exceeded"
}
}Reports
Get settlement report
Retrieves a settlement report and provides a secure download URL for the authenticated Master User.
GET
/
v1
/
reports
/
settlement
/
{id}
curl
curl -X GET "https://api.services.payward.com/v1/reports/settlement/00000000-0000-0000-0000-000000000001" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Timestamp: $PWS_API_TIMESTAMP" \
-H "API-Sign: $PWS_API_SIGN"import requests
url = "https://api.services.payward.com/v1/reports/settlement/{id}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Timestamp': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/reports/settlement/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/reports/settlement/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Sign: <api-key>",
"API-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/reports/settlement/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Timestamp", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.services.payward.com/v1/reports/settlement/{id}")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Timestamp", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/reports/settlement/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Timestamp"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "00000000-0000-0000-0000-000000000001",
"date": "2026-04-25",
"type": "swaps",
"size": "18342",
"name": "settlement-2026-04-25.csv",
"download_url": "https://reports.payward.com/dl/settlement-2026-04-25.csv",
"expires_at": "2026-04-26T18:24:11Z"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 400,
"code": "bad_request",
"causes": [
{
"field": "page_size",
"message": "must be between 1 and 25"
}
]
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 401,
"code": "unauthenticated"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 403,
"code": "forbidden"
}
}{
"error": {
"type": "reports_error",
"status": 404,
"instance": "req_01H00000000000000000000000",
"code": "settlement_report_not_found"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 429,
"code": "resource_exhausted"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 500,
"code": "internal"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 501,
"code": "unimplemented"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 503,
"code": "unavailable"
}
}{
"error": {
"type": "reports_error",
"instance": "req_01H00000000000000000000000",
"status": 504,
"code": "deadline_exceeded"
}
}